# Class TableMultiCopy

java.lang.Object
uk.ac.starlink.ttools.task.MultiOutputTask
uk.ac.starlink.ttools.task.TableMultiCopy

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

Direct Known Subclasses:
  `MultiCopy, MultiCopyN`

public class TableMultiCopy extends MultiOutputTask
General purpose task for copying multiple input tables to an output table container.

Since:
  6 Jul 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TableMultiCopy(String purpose, TablesInput tablesInput)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.table.TableSequence`
`createTableSequence(uk.ac.starlink.task.Environment env)`
Interrogates the environment to produce a sequence of tables which will be written as the output of this task.

### Methods inherited from class MultiOutputTask

`createExecutable, createTableSequence, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableMultiCopy

public TableMultiCopy(String purpose, TablesInput tablesInput)
Constructor.

Parameters:
  `purpose` - task purpose
  `tablesInput` - input parameter object for tables

## Method Details

### createTableSequence

protected uk.ac.starlink.table.TableSequence createTableSequence(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from class: `MultiOutputTask`
Interrogates the environment to produce a sequence of tables which will be written as the output of this task.

Specified by:
  `createTableSequence` in class `MultiOutputTask`
Parameters:
  `env` - execution environment
Returns:
  sequence of tables to write
Throws:
  `uk.ac.starlink.task.TaskException`